*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Poppins", serif;
}

:root{
    --primary: #0C0F1B;
    --primary100: rgba(49, 53, 65, 0.22);
    --primary200: #191E2D;
    --white: #fff;
    --gray: #A5A5A5;
    --gray100: #DFDFDF;
    --gray300: #A2A2A2;
    --orange: #E3511C;
    --orange100: #FF7732;
    --orange200: #EA6725;
    --orange300: #FB7D3E;

    --bg-primary: rgba(25, 29, 45, 0.92);
    --bg100: #181C2B;
}
.btn-floating{
    position: fixed;
    bottom: 20px;
    right: 00px;
    margin: 0 30px 20px 0;
    z-index: 99;
    cursor: pointer;
    border-radius: 50%;
    transition: all 0.3sease-in-out;
}

#progress-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    z-index: 9999;
}

#progress-bar {
    width: 0%;
    height: 2px;
    background: var(--orange);
    transition: width 0.1s linear;
}

.fade-in {
    opacity: 0;
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.fade-bottom {
    transform: translateY(40px);
}

.fade-left {
    transform: translateX(-50px);
}

.fade-right {
    transform: translateX(50px);
}

.visible {
    opacity: 1;
    transform: translate(0);
}


.container{
    width: 100%;
    max-width: 1128px;
    margin: 0 auto;
    padding: 0 20px;
}

li{list-style-type: none;}
a{text-decoration: none;}

.gradient-border {
    width: 200px;
    height: 40px;
    border: 2px solid transparent;
    border-radius: 8px;
    background: linear-gradient(#1a1a1a, #1a1a1a) padding-box, 
                linear-gradient(to right, var(--orange), gray) border-box;
}

.button-primary{
    background: var(--orange200);
    border-radius: 8px;
    transition: all 0.3s;
}

.button-primary:hover{
    transform: scale(0.98);
}

body{
    background: var(--primary);
    position: relative;
    overflow-x: hidden;
}

.circle-one{
    position: absolute;
    width: 380px;
    height: 380px;
    right: 0px;
    top: 420px;
    background: #FB7D3E;
    z-index: -1;
    filter: blur(351px);
}

.circle-two{
    position: absolute;
    width: 480px;
    height: 480px;
    left: -500px;
    top: 1020px;
    background: #FB7D3E;
    filter: blur(351px);
}

@media (max-width:1024px){
    .circle-one,
    .circle-two{
        right: 0;
        width: 200px;
        height: 200px;
        filter: blue(280px);
    }

    .circle-two{
        left: 0;
    }
}

header{
    background: var(--primary100);
    padding: 24px 0;
    transition: all 0.3s;
}

header .content{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .content nav{
    background:var(--primary200);
    width: 100%;
    max-width: fit-content;
    padding: 16px 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
}

header .content nav ul{
    display: flex;
    align-items: center;
    gap: 16px;
}

header .content nav ul li a{
    color: var(--white);
    font-size: 14px;
    line-height: 18px;
    font-weight: 400;
    transition: all 0.3s;
    position: relative;
}

header .content nav ul li a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -3px;
    width: 0;
    height: 1px;
    background-color: var(--orange300);
    transition: width 0.3s ease, left 0.3s ease;
}

header .content nav ul li a:hover::after {
    width: 100%;
    left: 0;
}

header .content a.button-primary{
    background: var(--orange);
    color: var(--white);
    border-radius: 8px;
    border: none;
    outline: none;
    width: 100%;
    max-width: 168px;
    padding: 14px;
    font-size: 16px;
    line-height: 20px;
    font-weight: 500;
    cursor: pointer;
    text-align: center;
}

header.scrolled{
    position: fixed;
    width: 100%;
    background: rgba(25, 29, 45, 0.92);
    z-index: 99;
    top: 0;
    left: 0;
}

@media (max-width:980px){
    header .content nav{display: none;}
}

@media (max-width:480px){
    header .content a.button-primary{
        font-size: 12px;
        padding: 7px;
        max-width: fit-content;
    }
}

section.hero{
    padding: 128px 0;

}

section.hero h1{
    font-style: normal;
    font-weight: 500;
    font-size: 48px;
    line-height: 72px;
    text-align: center;
    color: var(--white);
    margin: 0 0 48px;
}

section.hero h1 strong{
    color: var(--orange100);
}

section.hero p{
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    color: var(--gray);
    width: 100%;
    max-width: 697px;
    margin: 0 auto 48px;
}

section.hero .buttons{
    display: flex;
    justify-content: center;
    gap: 24px;
    align-items: center;
}

section.hero .buttons a{
    color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 156px;
    padding: 8px 16px;
}

@media (max-width:980px){
    section.hero{
        padding: 64px 0;
    }

    section.hero h1{
        font-size: 36px;
        line-height: 48px;
    }
}

@media (max-width:480px){
    section.hero h1{
        font-size: 24px;
        line-height: 34px;
        margin: 0 0 12px;
    }
    section.hero p{
        font-size: 14px;
        line-height: 18px;
    }
    section.hero .buttons{
        flex-direction: column;
        gap: 12px;
    }
    section.hero .buttons a{
        max-width: fit-content;
        padding: 12px 32px;
        font-size: 14px;
        line-height: 14px;
    }
}

section.brands{
    padding: 0 0 82px;
}

section.brands .container{
    max-width: 100%;
    padding: 0;
    overflow: hidden;
}

section.brands h2{
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 36px;
    color: var(--gray);
    text-align: center;
    margin: 0 0 36px;
}

section.brands .brands_logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 56px;
}

.brands_container {
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    position: relative;
	max-width:640px;
	margin:0 auto;
  }

.brands_container .logo_partness{
	width:100%;
	max-width:620px;
	margin:0 auto;
	padding:0 20px;
}

  
  .brands_logo {
    display: flex;
    gap: 0px;
    width: max-content;
    animation: scroll 30s linear infinite;
  }
  
  .brands_logo svg {
    width: 240px;
    height: auto;
    object-fit: contain;
  }
  
  @keyframes scroll {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(-50%);
    }
  }
  

  @media (max-width:768px){
    section.brands .brands_logo{
        gap: 12px;
        width:inherit;
        min-width: 800px;
    }
    .brands_logo svg:nth-last-child(-n+6) {
        display: none;
      }
  }

section.about .content{
    background: var(--bg-primary);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 103px;
    gap: 16px;
    flex-direction: column;
}

section.about .content h2{
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    color: var(--orange300);
}

section.about .content p{
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 30px;
    text-align: center;
    color: var(--gray100);
}

section.about .content p strong{
    color: var(--orange300);
}


@media (max-width:980px){
    section.about{
        padding: 0 20px;
    }
    section.about .content{
        padding: 20px 50px;
    }
}

@media (max-width:480px){
    section.about .content{
        padding: 20px;
    }
    section.about .content p {
        font-size: 14px;
        line-height: 24px;
    }
}

section.services{
    padding: 80px 0 128px;
}

section.services .tag{
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--white);
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
}

section.services h2{
    font-style: normal;
    font-weight: 500;
    font-size: 28px;
    line-height: 42px;
    text-align: center;
    color: var(--white);
    width: 100%;
    max-width: 715px;
    margin: 18px auto 42px;
}

section.services h2 strong{
    color: var(--orange300);
}

section.services .box_service{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
}

section.services .box_service .w32{
    width: 100%;
    max-width: 32%;
}

section.services .box_service .w48{
    width: 100%;
    max-width: 49%;
}

section.services .box_service .box_service-single{
    background: var(--bg100);
    padding: 44px;
    border-radius: 8px;
}

section.services .box_service .box_service-single h3{
    font-style: normal;
    font-weight: 500;
    font-size: 28px;
    line-height: 42px;
    color: var(--white);
    margin: 14px 0 12px;
}

section.services .box_service .box_service-single p{
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: var(--gray300);
}


@media (max-width:980px){
    section.services{
        padding: 80px 0;
    }
    section.services .box_service .w32,
    section.services .box_service .w48{
        max-width: 100%;
    } 
}

@media (max-width:480px){
    section.services .box_service .w32,
    section.services .box_service .w48{
       padding: 24px;
    } 
    section.services h2{
        font-size: 24px;
        line-height: 32px;
    }
}

section.numbers .content{
    max-width: 854px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

section.numbers .content .number{
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
}

section.numbers .content .number h2{
    font-style: normal;
    font-weight: 500;
    font-size: 62px;
    line-height: 62px;
    display: flex;
}

section.numbers .content .number h2 .number{
    color: var(--white);
}

section.numbers .content .number h2 span{
    color: var(--orange300);
}

section.numbers .content .number p{
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 36px;
    color: var(--gray300);
}

@media (max-width:768px){
    section.numbers .content{
        flex-direction: column;
        gap: 12px;
    }

    section.numbers .content svg{
        transform: rotate(270deg);
        height: 50px;
    }
}

@media (max-width:480px){
    section.numbers .content .number h2{
        font-size: 48px;
        line-height: 48px;
    }
}

section.contact{
    padding: 0 0 128px;
}

section.contact .content{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

section.contact .content .text{
    width: 100%;
    max-width: 460px;
}

section.contact .content .text h2{
    font-style: normal;
    font-weight: 500;
    font-size: 32px;
    line-height: 48px;
    color: var(--white);
    margin: 0 0 16px
}

section.contact .content .text h2 strong{
    color: var(--orange300);
}

section.contact .content .text p{
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: var(--gray300);
}

section.contact .box_form{
    background: var(--bg100);
    padding: 60px 32px;
    width: 100%;
    max-width: 480px;
    border-radius: 8px;
    position: relative;
    z-index: 2;
}

section.contact .box_form::before{
    content: '';
    position: absolute;
    width: 220px;
    height: 220px;
    background: var(--orange300);
    filter: blur(365.3px);
    z-index: -2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

section.contact .box_form form{
    display: flex;
    flex-direction: column;
    gap: 16px;
    position: relative;
    z-index: 1;
}

section.contact .box_form form input{
    width: 100%;
    height: 42px;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    padding: 0 0 0 12px;
    color: var(--gray300);
    background: rgba(255, 255, 255, 0.04);
    border: 1px solid rgba(255, 255, 255, 0.14);
    border-radius: 4px;

}

section.contact .box_form form input[type=submit]{
    background: var(--orange100);
    color: var(--white);
    font-weight: 600;
    font-size: 20px;
    margin: 16px 0 0;
    cursor: pointer;
    line-height: 24px;
}

section.contact a.button-primary{
    border-radius: 4px;
    color: var(--white);
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    text-transform: uppercase;
    width: fit-content;
    padding: 8px 24px;
    margin: 32px 0 0;
    display: block;
}

@media (max-width:768px){
    section.contact {
        padding: 64px 0;
    }
    section.contact .content {
        flex-direction: column;
        gap: 24px;
    }
    section.contact .content .text,
    section.contact .content .box_form{
        max-width: 100%;
    }

    section.contact .content .text{
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}


@media (max-width:480px){
    section.contact .content .text h2 {
        font-size: 24px;
        line-height: 32px;
    }
}

section.faq{
    padding: 0 0 128px;
}

section.faq .tag{
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--white);
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    width: 300px;
}

section.faq h2{
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    line-height: 36px;
    text-align: center;
    color: var(--white);
    margin: 24px 0 48px;
}

section.faq .faq_content{
    display: flex;
    gap: 16px;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: baseline;
}

section.faq .faq_single {
    margin-bottom: 10px;
    border-radius: 4px;
    background-color: #252836;
    overflow: hidden;
    transition: all 0.3s ease;
    width: 100%;
    max-width: 49%;
    transition: all 0.3s;
}

section.faq .faq_question {
    padding: 15px 20px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

section.faq .faq_question h4 {
    font-size: 16px;
    font-weight: 500;
    color: var(--white);
    width: 100%;
    max-width: 85%;
}

section.faq .icon {
    position: relative;
    width: 20px;
    height: 20px;
}

section.faq .plus, .minus {
    position: absolute;
    background-color: var(--orange300);
    transition: all 0.3s ease;
}

section.faq .plus {
    width: 100%;
    height: 2px;
    top: 50%;
    transform: translateY(-50%);
}

section.faq .minus {
    width: 2px;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
}

section.faq .faq_single.active .minus {
    transform: translateX(-50%) rotate(90deg);
    opacity: 0;
}

section.faq .faq_answer {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding: 0 20px;
    color: var(--gray300);
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}

section.faq .faq_single.active .faq_answer {
    max-height: 500px;
    padding: 15px 20px;
}

@media (max-width:980px){
    section.faq .faq_single {
        max-width: 100%;
    }
}

section.cta{
    padding: 128px 0px;
}

section.cta .content{
    background: linear-gradient(#1a1a1a, #1a1a1a) padding-box, 
    linear-gradient(to right, var(--orange), gray) border-box;
    padding: 32px;
    background: var(--bg100);
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 12px;
}

section.cta .content .text{
    width: 100%;
    max-width: 488px;
    display: flex;
    flex-direction: column;
}

section.cta .content .text h2{
    font-style: normal;
    font-weight: 500;
    font-size: 32px;
    line-height: 48px;
    color: var(--white);
    max-width: 420px;
}

section.cta .content .text h2 strong{
    color: var(--orange300);
}

section.cta .content .text p{
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 30px;
    color: var(--gray);
    margin: 16px 0 24px;
}

section.cta .content .text a{
    border-radius: 4px;
    color: var(--white);
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    text-transform: uppercase;
    width: fit-content;
    padding: 8px 24px;
}

section.cta .content .banner{
    width: 100%;
    max-width: 520px;
    border-radius: 8px;
    height: 314px;
}

section.cta .content .banner img{
    border-radius: 8px;
    height: 100%;
    object-fit: cover;
}

@media (max-width:768px){
    section.cta{
        padding: 64px 20px;
    }
    section.cta .content{
        flex-direction: column;
        gap: 24px;
    }

    section.cta .content .text a{
        padding: 12px 24px;
    }
}

@media (max-width:480px){
    section.cta .content {
        padding: 20px;
    }
    section.cta .content .text h2{
        font-size: 24px;
        line-height: 32px;
    }
    section.cta .content .text p{
        font-size: 14px;
        line-height: 24px;
    }
    section.cta .content .text a{
        font-size: 12px;
        line-height: 12px;
    }
}

footer{
    background: var(--primary100);
    padding: 24px;
}

footer .content{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer .content p{
    color: var(--gray300);
    font-size: 14px;
    cursor: pointer;
    line-height: 20px;
    transition: all 0.3s;
}

footer .content p a{
    color: var(--orange100);
    cursor: pointer;
}

footer .content nav ul{
    display: flex;
    align-items: center;
    gap: 32px;
}

footer .content nav ul li a{
    color: var(--gray300);
    font-size: 14px;
    cursor: pointer;
    line-height: 20px;
    transition: all 0.3s;
}

footer .content nav ul li a:hover{
    color: var(--orange300);
}

@media (max-width:480px){
    footer .content{
        flex-direction: column;
        gap: 12px;
    }
}